﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TBS1000B/1000B-EDU (1 yr) DCV Meas VISA /5520+S6
INSTRUMENT:            Sub TBS1000B/1000B-EDU (1 yr) Bandwidth VISA /5520+S6
INSTRUMENT:            Sub TBS1000B/1000B-EDU (1 yr) Trig Sens VISA /5520+S6
INSTRUMENT:            Sub TBS1000B/1000B-EDU (1 yr) ExTrig Sens VISA /5520+S6
INSTRUMENT:            Sub TBS1000B/1000B-EDU (1 yr) Sample Rate VISA /5520+S6
DATE:                  2018-09-07 14:37:42
AUTHOR:                Fluke
REVISION:              $Revision: 24923 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       19
NUMBER OF LINES:       729
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000B and TBS1000B-EDU Series Oscilloscopes
#      Specifications and Performance Verification
#      Technical Reference, PN 077-1025-01, Revision B.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Model(s) Covered:
#      TBS1000B Series
#          TBS1032B, TBS1052B, TBS1072B, TBS1102B, TBS1152B
#		   TBS1202B.
#      TBS1000B-EDU Series
#          TBS1052B-EDU, TBS1072B-EDU, TBS1102B-EDU,
#		   TBS1152B-EDU, TBS1202B-EDU
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @Cmd = "*RST;HEADER OFF"
  1.002  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  1.003  JMPL         END                          @Abort
  1.004  CALL         Sub Tek TBS1000B/1000B-EDU Select Channel VISA

  1.005  JMPL         DCV_MEAS                     PSUB("DCV Meas")
  1.006  JMPL         BANDWIDTH                    PSUB("Bandwidth")
  1.007  JMPL         TRIGGER                      PSUB(" Trig Sens")
  1.008  JMPL         EXT_TRIGGER                  PSUB("ExTrig Sens")
  1.009  JMPL         SAMPLE_RATE                  PSUB("Sample Rate")
  1.010  DISP         Subprocedure not found!
  1.011  END

  1.012  EVAL   Increment step number

# =====  Sub TBS1000B/1000B-EDU (1 yr) DCV Meas VISA /5520+S6  ==============

  2.001  LABEL        DCV_MEAS
  2.002  HEAD         CH [V @Chan] DC GAIN ACCURACY

  2.003  IF           @Chan == 1
  2.004  RSLT         =
  2.005  RSLT         =DC GAIN ACCURACY
  2.006  ENDIF

  2.007  RSLT         =
  2.008  RSLT         =Channel [V @Chan]
  2.009  RSLT         =
  2.010  RSLT         = 5 mV/div
  2.011  TARGET       -p
  2.012  HEAD         -2 5 mV/div
  2.013  DISP         Connect the 5520A SCOPE OUT to the UUT CH [V @Chan].
  2.014  VISA         CH[V @Chan]:PRO 1;SCA 5E-3
  2.015  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  2.016  JMPL         END                          @Abort
  2.017  VISA         ACQ:MOD AVE;NUMAV 16
  2.018  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  2.019  JMPL         END                          @Abort
  2.020  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP MEAN
  2.021  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  2.022  JMPL         END                          @Abort
  2.023  TARGET       -m
  2.024  5520         17.5mV                                         S6 S
# Retrieve the accuracy of positive output of calibrator.
  2.025  MATH         PosAcc = ACCV("Fluke 5520A", "Volts S6", MEM1 * 1E-3)
  2.026  WAIT         -t 7 System settling...
  2.027  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  2.028  MATH         PosValue = MEM / 1E-3
  2.029  5520         -17.5mV                                        S6 S
# Retrieve the accuracy of negative output of calibrator.
  2.030  MATH         NegAcc = ACCV("Fluke 5520A", "Volts S6", MEM1 * 1E-3)
  2.031  WAIT         -t 7 System settling...
  2.032  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  2.033  MATH         NegValue = MEM / 1E-3
# RSS uncertainty components and expand to 95% confidence level¡£
  2.034  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Fluke 5520A") * 2
# Setup system accuracy.
  2.035  MATH         L[1] = L[1] / 1E-3
  2.036  ACC          35.0mV         L1U
  2.037  MATH         MEM = PosValue - NegValue
  2.038  MEMCX        35.0mV         4%

  3.001  RSLT         =
  3.002  HEAD         -2{ 200 mV/div}
  3.003  TARGET       -p
  3.004  VISA         CH[V @Chan]:SCA 200E-3
  3.005  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  3.006  JMPL         END                          @Abort
  3.007  TARGET       -m
  3.008  5520         700mV                                          S6 S
  3.009  MATH         PosAcc = ACCV("Fluke 5520A", "Volts S6", MEM1 * 1E-3)
  3.010  WAIT         -t 7 System settling...
  3.011  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  3.012  MATH         PosValue = MEM / 1E-3
  3.013  5520         -700mV                                         S6 S
  3.014  MATH         NegAcc = ACCV("Fluke 5520A", "Volts S6", MEM1 * 1E-3)
  3.015  WAIT         -t 7 System settling...
  3.016  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  3.017  MATH         NegValue = MEM / 1E-3
  3.018  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Fluke 5520A") * 2
  3.019  MATH         L[1] = L[1] / 1E-3
  3.020  ACC          1400mV         L1U
  3.021  MATH         MEM = PosValue - NegValue
  3.022  MEMCX        mV             3%

  4.001  RSLT         =
  4.002  HEAD         -2{ 2 V/div}
  4.003  TARGET       -p
  4.004  VISA         CH[V @Chan]:SCA 2
  4.005  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  4.006  JMPL         END                          @Abort
  4.007  TARGET       -m
  4.008  5520         7.00V                                          S6 S
  4.009  MATH         PosAcc = ACCV("Fluke 5520A", "Volts S6", MEM1)
  4.010  WAIT         -t 7 System settling...
  4.011  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  4.012  MATH         PosValue = MEM
  4.013  5520         -7.00V                                         S6 S
  4.014  MATH         NegAcc = ACCV("Fluke 5520A", "Volts S6", MEM1)
  4.015  WAIT         -t 7 System settling...
  4.016  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  4.017  MATH         NegValue = MEM
  4.018  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Fluke 5520A") * 2
  4.019  ACC          14.00V         L1U
  4.020  MATH         MEM = PosValue - NegValue
  4.021  MEMCX        V              3%

  5.001  HEAD         -2
  5.002  HEAD
  5.003  5520         *                                                 S
  5.004  END

  5.005  EVAL   Increment step number

# =====  Sub TBS1000B/1000B-EDU (1 yr) Bandwidth VISA /5520+S6  =============

  6.001  LABEL        BANDWIDTH
  6.002  HEAD         CH [V @Chan] BANDWIDTH

  6.003  IF           @Chan == 1
  6.004  RSLT         =
  6.005  RSLT         =BANDWIDTH
  6.006  ENDIF

  6.007  RSLT         =
  6.008  RSLT         =Channel [V @Chan]
  6.009  TARGET       -p
  6.010  HEAD         -2 500 mV/div
  6.011  DISP         Connect the 5520A SCOPE OUT via 50 Ohm feed through
  6.011  DISP         terminator to the UUT CH [V @Chan].
  6.012  VISA         CH[V @Chan]:PRO 1;SCA 500E-3
  6.013  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  6.014  JMPL         END                          @Abort
  6.015  VISA         ACQUIRE:MODE AVERAGE;NUMAVG 16;STATE ON
  6.016  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  6.017  JMPL         END                          @Abort
  6.018  VISA         TRIG:MAI:EDGE:SOU CH[V @Chan];COUP NOISE
  6.019  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  6.020  JMPL         END                          @Abort
  6.021  VISA         HOR:SCA 10E-6
  6.022  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  6.023  JMPL         END                          @Abort
  6.024  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2
  6.025  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  6.026  JMPL         END                          @Abort

# Set the output of the calibrator so the peak-to-peak measurement is
# between 2.98 V and 3.02 V.
  6.027  MATH         MEM = 3; MEM1 = MEM

  6.028  DO
  6.029  MATH         MEM = MEM1 + (3 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  6.030  IF           MEM > 5.5 || MEM < 0.005
  6.031  DISP         Calibrator limit reached and DUT measurement is
  6.031  DISP         not 3.00±0.02 V.
  6.031  DISP
  6.031  DISP         Check connections and press Advance to try again.
  6.032  MATH         MEM = 3
  6.033  ENDIF

  6.034  5520         Vpp                          50kH           LS S6 S  L
  6.035  VISA         TRIG:MAI SETL
  6.036  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  6.037  JMPL         END                          @Abort
  6.038  VISA         [D1000]MEASU:MEAS[V @Chan]:VAL?[I]
  6.039  UNTIL        (MEM >= 2.98) && (MEM <= 3.02)

  6.040  VISA         HOR:SCA 10E-9
  6.041  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  6.042  JMPL         END                          @Abort
# Last calibrator amplitude setting is in MEM1.
  6.043  MATH         MEM = MEM1

  6.044  IF           @Bandwidth == 30E+6
  6.045  5520         Vpp                          30MH           LS S6 S  L
  6.046  ELSEIF       @Bandwidth == 50E+6
  6.047  5520         Vpp                          50MH           LS S6 S  L
  6.048  ELSEIF       @Bandwidth == 70E+6
  6.049  5520         Vpp                          70MH           LS S6 S  L
  6.050  ELSEIF       @Bandwidth == 100E+6
  6.051  5520         Vpp                          100MH          LS S6 S  L
  6.052  ELSEIF       @Bandwidth == 150E+6
  6.053  5520         Vpp                          150MH          LS S6 S  L
  6.054  ELSEIF       @Bandwidth == 200E+6
  6.055  5520         Vpp                          200MH          LS S6 S  L
  6.056  ELSE
  6.057  DISP         @Bandwidth = [V @Bandwidth] is not supported!
  6.058  MATH         @Abort = 1
  6.059  JMPL         END                          @Abort
  6.060  ENDIF

  6.061  WAIT         -t 5 System settling...
  6.062  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  6.063  EVAL   -e MEM >= 2.12 : [32]500 mV/div, >= 2.12 Vpp

  7.001  HEAD         -2
  7.002  HEAD
  7.003  5520         *                                                 S
  7.004  END

  7.005  EVAL   Increment step number

# =====  Sub TBS1000B/1000B-EDU (1 yr) Trig Sens VISA /5520+S6  =============

  8.001  LABEL        TRIGGER
  8.002  HEAD         CH [V @Chan] EDGE-TRIGGER SENSITIVITY

  8.003  IF           @Chan == 1
  8.004  RSLT         =
  8.005  RSLT         =EDGE-TRIGGER SENSITIVITY
  8.006  ENDIF

  8.007  RSLT         =
  8.008  RSLT         =Channel [V @Chan]
  8.009  HEAD         -2 Rising Slope, 1 div at 10 MHz
  8.010  TARGET
  8.011  VISA         CH[V @Chan]:PRO 1;SCA 500E-3
  8.012  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  8.013  JMPL         END                          @Abort
  8.014  VISA         TRIG:MAI:MOD NORM;EDGE:SOU CH[V @Chan]
  8.015  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  8.016  JMPL         END                          @Abort
  8.017  VISA         HOR:SCA 25E-9
  8.018  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  8.019  JMPL         END                          @Abort
  8.020  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2
  8.021  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  8.022  JMPL         END                          @Abort
  8.023  VISA         ACQ:MOD SAMP;STATE ON
  8.024  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  8.025  JMPL         END                          @Abort

# First set the output of the calibrator so the peak-to-peak measurement is
# approximately 1000 mV (twice of required test signal).
  8.026  MATH         MEM = 1000; MEM1 = MEM

  8.027  DO
  8.028  MATH         MEM = MEM1 + (1000 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  8.029  IF           MEM > 5500 || MEM < 5
  8.030  DISP         Calibrator limit reached and DUT measurement is
  8.030  DISP         not 1000±20 mVpp.
  8.030  DISP
  8.030  DISP         Check connections and press Advance to try again.
  8.031  MATH         MEM = 1000
  8.032  ENDIF

  8.033  DO
  8.034  5520         mVpp                         10MH           LS S6 S  L
  8.035  VISA         [D1000]TRIG:MAI SETL
  8.036  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  8.037  JMPL         END                          @Abort
# Check the status of trigger
  8.038  VISA         [D500]TRIG:STATE?[I$]
  8.039  UNTIL        FINDI(MEM2, "TRIG", 1)

  8.040  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
  8.041  MATH         MEM = MEM / 1E-3
  8.042  UNTIL        (MEM >= 980) && (MEM <= 1020)

# Then attenuate the output of calibrator to half so the input of UUT is
# is approximately 500 mVpp which is the required test signal for trig
# sensitivity (1 div at 10 MHz).
  8.043  MATH         MEM = MEM1 / 2
  8.044  5520         mVpp                         10MH           LS S6 S  L
  8.045  MATH         mVppStd = MEM1
  8.046  VISA         TRIG:MAI SETLEV
  8.047  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  8.048  JMPL         END                          @Abort
# Save the peak value of signal for later checking the trigger status.
  8.049  MATH         @PeakValue = mVppStd / 2 * 1E-3
  8.050  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
  8.051  MATH         RsltStr = " Rising Slope, 1 div at 10 MHz"
  8.052  EVAL   -e @Triggered : [V RsltStr]

  9.001  HEAD         -2 Falling Slope, 1 div at 10 MHz
  9.002  MATH         MEM = mVppStd
  9.003  5520         mVpp                         10MH           LS S6 S  L
  9.004  VISA         TRIG:MAI:EDGE:SLO FALL
  9.005  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
  9.006  JMPL         END                          @Abort
  9.007  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
  9.008  MATH         RsltStr = " Falling Slope, 1 div at 10 MHz"
  9.009  EVAL   -e @Triggered : [V RsltStr]

 10.001  LABEL        SLOPE_RISE_750mV
 10.002  VISA         TRIG:MAI:EDGE:SLO RISE
 10.003  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 10.004  JMPL         END                          @Abort

 10.005  IF           @Bandwidth == 30E+6
 10.006  MATH         FreqMHz = "30 MHz"
 10.007  ELSEIF       @Bandwidth == 50E+6
 10.008  MATH         FreqMHz = "50 MHz"
 10.009  ELSEIF       @Bandwidth == 70E+6
 10.010  MATH         FreqMHz = "70 MHz"
 10.011  ELSEIF       @Bandwidth == 100E+6
 10.012  MATH         FreqMHz = "100 MHz"
 10.013  ELSEIF       @Bandwidth == 150E+6
 10.014  MATH         FreqMHz = "150 MHz"
 10.015  ELSEIF       @Bandwidth == 200E+6
 10.016  MATH         FreqMHz = "200 MHz"
 10.017  ELSE
 10.018  DISP         @Bandwidth = [V @Bandwidth] is not supported!
 10.019  MATH         @Abort = 1
 10.020  JMPL         END                          @Abort
 10.021  ENDIF

 10.022  HEAD         -2 Rising Slope, 1.5 div at [V FreqMHz]
 10.023  VISA         HOR:SCA 10E-9
 10.024  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 10.025  JMPL         END                          @Abort

# First set the output of the calibrator so the peak-to-peak measurement is
# approximately 1500 mV (twice of required test signal).
 10.026  MATH         MEM = 1500; MEM1 = MEM

 10.027  DO
 10.028  MATH         MEM = MEM1 + (1500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 10.029  IF           MEM > 5500 || MEM < 5
 10.030  DISP         Calibrator limit reached and DUT measurement is
 10.030  DISP         not 1500±20 mVpp.
 10.030  DISP
 10.030  DISP         Check connections and press Advance to try again.
 10.031  MATH         MEM = 1500
 10.032  ENDIF

 10.033  DO

 10.034  IF           @Bandwidth == 30E+6
 10.035  5520         Vpp                          30MH           LS S6 S  L
 10.036  ELSEIF       @Bandwidth == 50E+6
 10.037  5520         Vpp                          50MH           LS S6 S  L
 10.038  ELSEIF       @Bandwidth == 70E+6
 10.039  5520         Vpp                          70MH           LS S6 S  L
 10.040  ELSEIF       @Bandwidth == 100E+6
 10.041  5520         Vpp                          100MH          LS S6 S  L
 10.042  ELSEIF       @Bandwidth == 150E+6
 10.043  5520         Vpp                          150MH          LS S6 S  L
 10.044  ELSEIF       @Bandwidth == 200E+6
 10.045  5520         Vpp                          200MH          LS S6 S  L
 10.046  ENDIF

 10.047  VISA         [D1000]TRIG:MAI SETL
 10.048  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 10.049  JMPL         END                          @Abort
# Check the status of trigger
 10.050  VISA         [D500]TRIG:STATE?[I$]
 10.051  UNTIL        FINDI(MEM2, "TRIG", 1)

 10.052  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
 10.053  MATH         MEM = MEM / 1E-3
 10.054  UNTIL        (MEM >= 1480) && (MEM <= 1520)

# Then attenuate the output of calibrator to half so the input of UUT is
# approximately 750 mVpp which is the required test signal for trig
# sensitivity (1.5 div at specific frequency).
 10.055  MATH         MEM = MEM1 / 2

 10.056  IF           @Bandwidth == 30E+6
 10.057  5520         Vpp                          30MH           LS S6 S  L
 10.058  ELSEIF       @Bandwidth == 50E+6
 10.059  5520         Vpp                          50MH           LS S6 S  L
 10.060  ELSEIF       @Bandwidth == 70E+6
 10.061  5520         Vpp                          70MH           LS S6 S  L
 10.062  ELSEIF       @Bandwidth == 100E+6
 10.063  5520         Vpp                          100MH          LS S6 S  L
 10.064  ELSEIF       @Bandwidth == 150E+6
 10.065  5520         Vpp                          150MH          LS S6 S  L
 10.066  ELSEIF       @Bandwidth == 200E+6
 10.067  5520         Vpp                          200MH          LS S6 S  L
 10.068  ENDIF

 10.069  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
 10.070  MATH         @PeakValue = mVppStd / 2 * 1E-3
 10.071  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
 10.072  MATH         RsltStr = " Rising Slope, 1.5 div at " & FreqMHz
 10.073  EVAL   -e @Triggered : [V RsltStr]

 11.001  HEAD         -2 Falling Slope, 1.5 div at [V FreqMHz]
 11.002  MATH         MEM = mVppStd

 11.003  IF           @Bandwidth == 30E+6
 11.004  5520         Vpp                          30MH           LS S6 S  L
 11.005  ELSEIF       @Bandwidth == 50E+6
 11.006  5520         Vpp                          50MH           LS S6 S  L
 11.007  ELSEIF       @Bandwidth == 70E+6
 11.008  5520         Vpp                          70MH           LS S6 S  L
 11.009  ELSEIF       @Bandwidth == 100E+6
 11.010  5520         Vpp                          100MH          LS S6 S  L
 11.011  ELSEIF       @Bandwidth == 150E+6
 11.012  5520         Vpp                          150MH          LS S6 S  L
 11.013  ELSEIF       @Bandwidth == 200E+6
 11.014  5520         Vpp                          200MH          LS S6 S  L
 11.015  ENDIF

 11.016  VISA         TRIG:MAI:EDGE:SLO FALL
 11.017  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 11.018  JMPL         END                          @Abort
 11.019  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
 11.020  MATH         RsltStr = " Falling Slope, 1.5 div at " & FreqMHz
 11.021  EVAL   -e @Triggered : [V RsltStr]

 12.001  VISA         TRIG:MAI:EDGE:SLO RISE
 12.002  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 12.003  JMPL         END                          @Abort

# For DUT whose bandwidth is 150 MHz and 200 MHz do additional test.
 12.004  IF           @Bandwidth == 150E+6 || @Bandwidth == 200E+6
 12.005  HEAD         -2 Rising Slope, 2 div at 150 MHz
# First set the output of the calibrator so the peak-to-peak measurement is
# approximately 1500 mV (1.5 times of required test signal).
 12.006  MATH         MEM = 1500; MEM1 = MEM

 12.007  DO
 12.008  MATH         MEM = MEM1 + (1500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 12.009  IF           MEM > 5500 || MEM < 5
 12.010  DISP         Calibrator limit reached and DUT measurement is
 12.010  DISP         not 1500±20 mVpp.
 12.010  DISP
 12.010  DISP         Check connections and press Advance to try again.
 12.011  MATH         MEM = 1500
 12.012  ENDIF

 12.013  DO
 12.014  5520         mVpp                         150MH          LS S6 S  L
 12.015  VISA         [D1000]TRIG:MAI SETL
 12.016  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 12.017  JMPL         END                          @Abort
# Check the status of trigger
 12.018  VISA         [D500]TRIG:STATE?[I$]
 12.019  UNTIL        FINDI(MEM2, "TRIG", 1)

 12.020  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
 12.021  MATH         MEM = MEM / 1E-3
 12.022  UNTIL        (MEM >= 1480) && (MEM <= 1520)

# Then attenuate the output of calibrator so the input of UUT is approximately
# 1000 mVpp which is the required test signal for trig sensitivity (2 div
# at 150 MHz).
 12.023  MATH         MEM = MEM1 / 1.5
 12.024  5520         mVpp                         150MH          LS S6 S  L
 12.025  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
 12.026  MATH         @PeakValue = mVppStd / 2 * 1E-3
 12.027  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
 12.028  MATH         RsltStr = " Rising Slope, 2 div at 150 MHz"
 12.029  EVAL   -e @Triggered : [V RsltStr]

 13.001  HEAD         -2 Falling Slope, 2 div at 150 MHz
 13.002  MATH         MEM = mVppStd
 13.003  5520         mVpp                         150MH          LS S6 S  L
 13.004  VISA         TRIG:MAI:EDGE:SLO FALL
 13.005  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 13.006  JMPL         END                          @Abort
 13.007  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
 13.008  MATH         RsltStr = " Falling Slope, 2 div at 150 MHz"
 13.009  EVAL   -e @Triggered : [V RsltStr]

 14.001  VISA         TRIG:MAI:EDGE:SLO RISE
 14.002  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 14.003  JMPL         END                          @Abort
 14.004  ENDIF

 14.005  HEAD         -2
 14.006  HEAD
 14.007  5520         *                                                 S
 14.008  END

 14.009  EVAL   Increment step number

# =====  Sub TBS1000B/1000B-EDU (1 yr) ExTrig Sens VISA /5520+S6  ===========

 15.001  LABEL        EXT_TRIGGER
 15.002  HEAD         EXTERNAL EDGE-TRIGGER SENSITIVITY (CH [V @Chan])

 15.003  IF           @Chan == 1
 15.004  RSLT         =
 15.005  RSLT         =EXTERNAL EDGE-TRIGGER SENSITIVITY
 15.006  ENDIF

 15.007  RSLT         =
 15.008  RSLT         =Channel [V @Chan]

 15.009  IF           @Bandwidth == 30E+6
 15.010  MATH         FreqMHz = "30 MHz"
 15.011  ELSEIF       @Bandwidth == 50E+6
 15.012  MATH         FreqMHz = "50 MHz"
 15.013  ELSEIF       @Bandwidth == 70E+6
 15.014  MATH         FreqMHz = "70 MHz"
 15.015  ELSEIF       @Bandwidth == 100E+6
 15.016  MATH         FreqMHz = "100 MHz"
 15.017  ELSEIF       @Bandwidth == 150E+6
 15.018  MATH         FreqMHz = "150 MHz"
 15.019  ELSEIF       @Bandwidth == 200E+6
 15.020  MATH         FreqMHz = "200 MHz"
 15.021  ELSE
 15.022  DISP         @Bandwidth = [V @Bandwidth] is not supported!
 15.023  MATH         @Abort = 1
 15.024  JMPL         END                          @Abort
 15.025  ENDIF

 15.026  TARGET       -p
 15.027  HEAD         -2 Rising Slope, 200 mVpp at [V FreqMHz]
 15.028  DISP         Connect the 5520A SCOPE OUT to the input of a 2 way
 15.028  DISP         power splitter via a BNC(f) to SMA(m) adapter.
 15.028  DISP
 15.028  DISP         Connect one output of power splitter to UUT CH [V @Chan]
 15.028  DISP         via SMA(f) to SMA(f) and SMA(m) to BNC(f) adpaters, a
 15.028  DISP         BNC(m)-(m) cable and a 50 Ohm feed through terminator.
 15.028  DISP
 15.028  DISP         Connect the other output of the power splitter to UUT
 15.028  DISP         EXT TRIG via SMA(f) to SMA(f) and SMA(m) to BNC(f)
 15.028  DISP         adapters, a BNC(m)-(m) cable and a 50 Ohm feed through
 15.028  DISP         terminator.
 15.029  VISA         CH[V @Chan]:PRO 1;SCA 100E-3
 15.030  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 15.031  JMPL         END                          @Abort
 15.032  VISA         HOR:SCA 10E-9
 15.033  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 15.034  JMPL         END                          @Abort
 15.035  VISA         TRIG:MAI:MOD NORM;EDGE:SOU EXT
 15.036  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 15.037  JMPL         END                          @Abort
 15.038  VISA         ACQ:MOD SAMP;STATE ON
 15.039  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 15.040  JMPL         END                          @Abort
 15.041  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2
 15.042  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 15.043  JMPL         END                          @Abort

# First Set the output of the calibrator so the peak-to-peak measurement is
# approximately 400 mV, for the reason of using power splitter the output of
# calibrator is approximately twice of peak-to-peak measurement, i.e 800 mV.
 15.044  MATH         MEM = 400; MEM1 = 800

 15.045  DO
 15.046  MATH         MEM = MEM1 + (800 - 2 * MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 15.047  IF           MEM > 5500 || MEM < 5
 15.048  DISP         Calibrator limit reached and DUT measurement is
 15.048  DISP         not 400±8 mVpp.
 15.048  DISP
 15.048  DISP         Check connections and press Advance to try again.
 15.049  MATH         MEM = 800
 15.050  ENDIF

 15.051  5520         mVpp                         10MH           LS S6 S  L
 15.052  VISA         TRIG:MAI SETL
 15.053  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 15.054  JMPL         END                          @Abort
 15.055  VISA         [D1000]MEASU:MEAS[V @Chan]:VAL?[I]
 15.056  MATH         MEM = MEM / 1E-3
 15.057  UNTIL        (MEM >= 392) && (MEM <= 408)

# Then attenuate the output of calibrator to half so the input of UUT is
# approximately 200 mVpp which is the required test signal for external
# trig sensitivity.
 15.058  MATH         MEM = MEM1 / 2

 15.059  IF           @Bandwidth == 30E+6
 15.060  5520         mVpp                         30MH           LS S6 S  L
 15.061  ELSEIF       @Bandwidth == 50E+6
 15.062  5520         mVpp                         50MH           LS S6 S  L
 15.063  ELSEIF       @Bandwidth == 70E+6
 15.064  5520         mVpp                         70MH           LS S6 S  L
 15.065  ELSEIF       @Bandwidth == 100E+6
 15.066  5520         mVpp                         100MH          LS S6 S  L
 15.067  ELSEIF       @Bandwidth == 150E+6
 15.068  5520         mVpp                         150MH          LS S6 S  L
 15.069  ELSEIF       @Bandwidth == 200E+6
 15.070  5520         mVpp                         200MH          LS S6 S  L
 15.071  ENDIF

 15.072  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
 15.073  MATH         @PeakValue = mVppStd / 4 * 1E-3
 15.074  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
 15.075  MATH         RsltStr = " Rising Slope, 200 mVpp at " & FreqMHz
 15.076  EVAL   -e @Triggered : [V RsltStr]

 16.001  HEAD         -2 Falling Slope, 200 mVpp at [V FreqMHz]
 16.002  MATH         MEM = mVppStd

 16.003  IF           @Bandwidth == 30E+6
 16.004  5520         mVpp                         30MH           LS S6 S  L
 16.005  ELSEIF       @Bandwidth == 50E+6
 16.006  5520         mVpp                         50MH           LS S6 S  L
 16.007  ELSEIF       @Bandwidth == 70E+6
 16.008  5520         mVpp                         70MH           LS S6 S  L
 16.009  ELSEIF       @Bandwidth == 100E+6
 16.010  5520         mVpp                         100MH          LS S6 S  L
 16.011  ELSEIF       @Bandwidth == 150E+6
 16.012  5520         mVpp                         150MH          LS S6 S  L
 16.013  ELSEIF       @Bandwidth == 200E+6
 16.014  5520         mVpp                         200MH          LS S6 S  L
 16.015  ENDIF

 16.016  VISA         TRIG:MAI:EDGE:SLO FALL
 16.017  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 16.018  JMPL         END                          @Abort
 16.019  CALL         Sub Tek TBS1000B/1000B-EDU Trig Chk and Level Adj VISA
 16.020  MATH         RsltStr = " Falling Slope, 200 mVpp at " & FreqMHz
 16.021  EVAL   -e @Triggered : [V RsltStr]

 17.001  HEAD         -2
 17.002  HEAD
 17.003  5520         *                                                 S
 17.004  END

 17.005  EVAL   Increment step number

# =====  Sub TBS1000B/1000B-EDU (1 yr) Sample Rate VISA /5520+S6  ===========

 18.001  LABEL        SAMPLE_RATE
 18.002  RSLT         =
 18.003  HEAD         SAMPLE RATE AND DELAY TIME ACCURACY
 18.004  TARGET
 18.005  VISA         CH[V @Chan]:PRO 1;SCA 500E-3
 18.006  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 18.007  JMPL         END                          @Abort
 18.008  VISA         HOR:SCA 1E-3
 18.009  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 18.010  JMPL         END                          @Abort
 18.011  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2
 18.012  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 18.013  JMPL         END                          @Abort
 18.014  5520         10mT                                        M2 S6 S  L
 18.015  VISA         TRIG:MAI SETL
 18.016  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 18.017  JMPL         END                          @Abort
 18.018  VISA         CH[V @Chan]:POS 0
 18.019  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 18.020  JMPL         END                          @Abort

 18.021  WAIT         -t 2 System settling...
# Center the time mark signal on the screen.
 18.022  VISA         MEASU:MEAS[V @Chan]:VAL?[I]
# Compute desired vertical position based on Pk-Pk reading and vertical scale.
 18.023  MATH         L[1] = -1 * ((MEM / 2) / 500E-3)
 18.024  VISA         CH[V @Chan]:POS [L1]
 18.025  VISA         HOR:POS 10E-3;SCA 250E-9
 18.026  CALL         Sub Tek TBS1000B/1000B-EDU Wait for OPC VISA
 18.027  JMPL         END                          @Abort
 18.028  MESS         Does the rising edge of the marker cross the center
 18.028  MESS         horizontal graticule line within ±2 divisions of
 18.028  MESS         center graticule?
 18.029  EVAL   -s "SAMPLE RATE AND DELAY TIME ACCURACY" :

 19.001  LABEL        END
 19.002  MESS
 19.003  HEAD         -2
 19.004  HEAD
 19.005  5520         *                                                 S
 19.006  END
